namespace SampleBackend.Models
{
  public class DashboardCommand
  {
    public string Command { get; set; }

    public string ConnectionString { get; set; }

    public string Database { get; set; }

    public string QueryString { get; set; }

    public string DataSource { get; set; }

    public int Timeout { get; set; }

    public DashboardParameter[] Parameters { get; set; }

    public bool EscapeQueryParameters { get; set; }

    public bool IsTableDiscovery => this.QueryString.Contains("INFORMATION_SCHEMA.TABLES");

    public bool IsColumnDiscovery => this.QueryString.Contains("INFORMATION_SCHEMA.COLUMNS");

    public bool IsRoutineDiscovery => this.QueryString.Contains("INFORMATION_SCHEMA.ROUTINES");
  }
  
  public class DashboardParameter
  {
    public string Name { get; set; }

    public object Value { get; set; }

    public string TypeGroup { get; set; }

    public string TypeName { get; set; }

    public int Size { get; set; }
  }
}
